<template>
  <view class="pageBox _location_report_page">
    longitude:{{ location_config.longitude}}, latitude:{{location_config.latitude}}
    <button class="btn" @click="locationReport">更新当前位置信息</button>
  </view>
</template>

<script setup lang="ts">
import { ref, reactive, computed, onBeforeMount, onMounted, onUnmounted, watch, nextTick } from 'vue'
import Storage from '@/common/utils/storage/index'
import EXEC from '@/common/utils/exec';
import { menusStore } from '@/common/stores/menus'
import { translate } from '@/common/utils/language/index'

const location_config = ref({})
const locationReport = () => {
  uni.getLocation({
    type: 'gcj02',
    success: function (res) {
      location_config.value = res
    },
    fail: function(res) {
    }
  });
}


onBeforeMount(async() => {
})
onMounted(()=>{
})
onUnmounted(() => {
})





</script>

<style lang="scss">
._location_report_page{
  
}
</style>
